<?php
/******************************************************************************/
//                                                                            //
//                  Capacity calculation module for InstantCMS     			  //
//                            (C) Crazy World 2013                            //
//                                Version 1.2                                 //
//                                                                            //
/******************************************************************************/
// Generating form without XML form building, cause of dynamic list, 		  //
// representing current accessible module templates from current and default  //
// template paths															  //
/******************************************************************************/

function getFilesInDir($dir, &$tpl_array) {
	if($dir_handle = opendir($dir)) {
		while (false !== ($file = readdir($dir_handle))) {
			if ($file != "." && $file != "..") {
				if(!in_array($file,$tpl_array)) $tpl_array[] = $file;
			}
		}
	}
}

$inCore = cmsCore::getInstance();
$inConf = cmsConfig::getInstance();
$inDB   = cmsDatabase::getInstance();

if (isset($_REQUEST['do'])) { $do = $_REQUEST['do']; } else { $do = 'list'; }
if (isset($_REQUEST['id'])) { $id = (int)$_REQUEST['id']; } else { $id = -1; }
if (isset($_REQUEST['co'])) { $co = $_REQUEST['co']; } else { $co = -1; } //current ordering, while resort

$cfg = $inCore->loadModuleConfig($id);

$module_name    = cpModuleById($id);
	
cpAddPathway('Расчет объема', '?view=modules&do=edit&id='.$id);
cpAddPathway('Настройки', '?view=modules&do=config&id='.$id);

echo '<h3>Расчет объема</h3>';	

// Searching templates in both paths (TEMPLATE_DIR and DEFAULT_TEMPLATE_DIR)
$tpl_array = array();
	
getFilesInDir(TEMPLATE_DIR.'modules', $tpl_array);
getFilesInDir(PATH.'/templates/_default_/modules', $tpl_array);

sort($tpl_array);

if (isset($_SESSION['save_message'])){
	echo '<p class="success">'.$_SESSION['save_message'].'</p>';
	unset ($_SESSION['save_message']);
}

$toolmenu = array();
$toolmenu[0]['icon'] = 'save.gif';
$toolmenu[0]['title'] = 'Сохранить';
$toolmenu[0]['link'] = 'javascript:submitModuleConfig()';

$toolmenu[2]['icon'] = 'cancel.gif';
$toolmenu[2]['title'] = 'Отмена';
$toolmenu[2]['link'] = '?view=modules';

$toolmenu[1]['icon'] = 'edit.gif';
$toolmenu[1]['title'] = 'Редактировать отображение модуля';
$toolmenu[1]['link'] = '?view=modules&do=edit&id='.$id;

if (@$msg) { echo '<p class="success">'.$msg.'</p>'; }

cpToolMenu($toolmenu);

if (isset($_REQUEST['opt'])) { $opt = $_REQUEST['opt']; } else { $opt = 'config'; }

if($opt == 'save'){	
	$cfg = array();

	$cfg['template']   = $inCore->request('template', 'str', 'mod_calc_cap.tpl');
	$cfg['var_length'] = $inCore->request('var_length', 'str', 'frm_length');
	$cfg['var_width']  = $inCore->request('var_width', 'str', 'frm_width');
	$cfg['var_height'] = $inCore->request('var_height', 'str', 'frm_height');
	$cfg['var_volume_single'] = $inCore->request('var_volume_single', 'str', 'frm_volume_single');
	$cfg['var_volume_total'] = $inCore->request('var_volume_total', 'str', 'frm_volume_total');
	$cfg['var_btn_calc'] = $inCore->request('var_btn_calc', 'str', 'frm_btn_calc');
	$cfg['var_count'] = $inCore->request('var_count', 'str', 'frm_count');
	$cfg['include_DHL'] = $inCore->request('include_DHL', 'int', 0);
	$cfg['value_DHL'] = $inCore->request('value_DHL', 'int', 6000);
	$cfg['cylindric'] = $inCore->request('cylindric', 'int', 0);
	$cfg['var_radius'] = $inCore->request('var_radius', 'str', 'frm_radius');
			
	$inCore->saveModuleConfig($id, $cfg);

	$msg = 'Настройки сохранены.';
}

?>
<form action="index.php?view=modules&do=config&id=<?=$id?>" method="post" name="optform" target="_self" id="optform">
	<input type="hidden" name="opt" value="save"/>

	<div class="params-form">
		<table cellpadding="3" cellspacing="0" border="0">
			<tr id="f0">
				<td class="param-name" colspan="2">
					<div class="label">
						<strong>Внимание: для каждой копии модуля, размещаемого на одной странице сайта необходимо задать свои, индивидуальные параметры переменных и кнопок</strong>
					</div>
				</td>
			</tr>
			
			<tr id="f1">
				<td class="param-name">
					<div class="label">
						<strong>Шаблон модуля:</strong>
					</div>
				</td>
				<td class="param-value">
					<select id="template" name="template" class="param-list">
						<? foreach($tpl_array as $key=>$value) {
							$value = htmlspecialchars($value);
							echo "<option value='$value' ".($value == $cfg['template'] ? 'selected="selected"' : '').">$value</option>";
						} ?>
					</select>
				</td>				
			</tr>

			<tr id="f2">
				<td class="param-name">
					<div class="label">
						<strong>Расчет предмета, типа &quot;цилиндр&quot;:</strong>
					</div>
				</td>

				<td class="param-value">
					<input type="checkbox" onclick="changeAccess('cylindric');" <?php if($cfg['cylindric']) echo 'checked="checked"'; ?> />
					<input type="hidden" id="cylindric" name="cylindric" value="<?=htmlspecialchars($cfg['cylindric'])?>" />
				</td>				
			</tr>
			
			<tr id="f3">
				<td class="param-name">
					<div class="label">
						<strong>Наименование переменной "Длина" в шаблоне:</strong>
					</div>
				</td>

				<td class="param-value">
					<input type="text" rel="cyl0" id="var_length" name="var_length" <?php if($cfg['cylindric']) echo 'disabled="disabled"'; ?> value="<?=htmlspecialchars($cfg['var_length'])?>" class="param-string" />
				</td>				
			</tr>
				
			<tr id="f4">
				<td class="param-name">
					<div class="label">
						<strong>Наименование переменной "Ширина" в шаблоне:</strong>
					</div>
				</td>
				<td class="param-value">
					<input type="text" rel="cyl0" id="var_width" name="var_width" <?php if($cfg['cylindric']) echo 'disabled="disabled"'; ?> value="<?=htmlspecialchars($cfg['var_width'])?>" class="param-string" />
				</td>				
			</tr>
				
			<tr id="f5">
				<td class="param-name">
					<div class="label">
						<strong>Наименование переменной "Высота" в шаблоне:</strong>
					</div>
				</td>
				<td class="param-value">
					<input type="text" id="var_height" name="var_height" value="<?=htmlspecialchars($cfg['var_height'])?>" class="param-string" />
				</td>				
			</tr>

			<tr id="f6">
				<td class="param-name">
					<div class="label">
						<strong>Наименование переменной "Радиус" в шаблоне:</strong>
					</div>
				</td>
				<td class="param-value">
					<input type="text" rel="cyl1" id="var_radius" name="var_radius" <?php if(!$cfg['cylindric']) echo 'disabled="disabled"'; ?> value="<?=htmlspecialchars($cfg['var_radius'])?>" class="param-string" />
				</td>				
			</tr>
			
			<tr id="f7">
				<td class="param-name">
					<div class="label">
						<strong>Наименование переменной "Количество" в шаблоне:</strong>
					</div>
				</td>
				<td class="param-value">
					<input type="text" id="var_count" name="var_count" value="<?=htmlspecialchars($cfg['var_count'])?>" class="param-string" />
				</td>				
			</tr>
					
			<tr id="f8">
				<td class="param-name">
					<div class="label">
						<strong>Наименование кнопки "Расчет объема" в шаблоне:</strong>
					</div>
					<div class="hinttext">Не требуется, если кнопки на форме нет, а ее роль исполняет изображение</div>
				</td>
				<td class="param-value">
					<input type="text" id="var_btn_calc" name="var_btn_calc" value="<?=htmlspecialchars($cfg['var_btn_calc'])?>" class="param-string" />
				</td>				
			</tr>
				
			<tr id="f9">
				<td class="param-name">
					<div class="label">
						<strong>Наименование переменной "Объем одной коробки" в шаблоне:</strong>
					</div>
					<div class="hinttext">Для вывода результата</div>
				</td>
				<td class="param-value">
					<input type="text" id="var_volume_single" name="var_volume_single" value="<?=htmlspecialchars($cfg['var_volume_single'])?>" class="param-string" />
				</td>				
			</tr>

			<tr id="f10">
				<td class="param-name">
					<div class="label">
						<strong>Наименование переменной "Общий объем" в шаблоне:</strong>
					</div>
					<div class="hinttext">Для вывода результата</div>
				</td>
				<td class="param-value">
					<input type="text" id="var_volume_total" name="var_volume_total" value="<?=htmlspecialchars($cfg['var_volume_total'])?>" class="param-string" />
				</td>				
			</tr>
			
			<tr id="f11">
				<td class="param-name">
					<div class="label">
						<strong>Использовать DHL:</strong>
					</div>
					<div class="hinttext">Влияет при расчете результата</div>
				</td>
				<td class="param-value">
					<input type="checkbox" onclick="changeAccess('include_DHL');" <?php if($cfg['include_DHL']) echo 'checked="checked"'; ?> />
					<input type="hidden" id="include_DHL" name="include_DHL" value="<?=htmlspecialchars($cfg['include_DHL'])?>" />
				</td>				
			</tr>

			<tr id="f12">
				<td class="param-name">
					<div class="label">
						<strong>Значение DHL:</strong>
					</div>
					<div class="hinttext">Влияет при расчете результата</div>
				</td>
				<td class="param-value">
					<input type="text" id="value_DHL" name="value_DHL" <?php if(!$cfg['include_DHL']) echo 'disabled="disabled"'; ?> value="<?=htmlspecialchars($cfg['value_DHL'])?>" class="param-string" />
				</td>				
			</tr>
					
		</table>
	</div>
	
	<div class="params-buttons">
		<input type="submit" name="save" class="button" value="Сохранить" />
	</div>
	
	<script type="text/javascript">
		function changeAccess(name) {
			if(name=='cylindric') {
				$('#cylindric').val(1-$('#cylindric').val());
				if($('#cylindric').val()=='1') { 
					$('input[rel=cyl0]').attr('disabled','disabled');
					$('input[rel=cyl1]').removeAttr('disabled');
				} else {
					$('input[rel=cyl0]').removeAttr('disabled');
					$('input[rel=cyl1]').attr('disabled','disabled');
				}
			} else {
				$('#include_DHL').val(1-$('#include_DHL').val());
				if($('#include_DHL').val()=='1') { $('#value_DHL').removeAttr('disabled'); }
				else { $('#value_DHL').attr('disabled','disabled'); };
			}
		}
		function submitModuleConfig(){$('#optform').submit();}
	</script>
</form>